'use strict';

import React from 'react';

const renderLink = ({ href, text }, i) => React.createElement(
  'a',
  { key: i, href: href },
  React.createElement(
    'li',
    null,
    React.createElement(
      'strong',
      null,
      text
    )
  )
);

export default (({ first, header, links }) => React.createElement(
  'div',
  { className: `m-nav-cta ${first ? 'm-nav-cta-first' : ''}` },
  React.createElement(
    'h2',
    null,
    header
  ),
  React.createElement(
    'ul',
    null,
    links.map(renderLink)
  )
));