export default (type, url) => {
  const script = document.createElement(type)

  if (type === 'link') {
    script.rel = 'stylesheet'
    script.href = url
  } else if (type === 'script') {
    script.async = true
    script.src = url
  }

  document.head.appendChild(script)

  return new Promise((resolve, reject) => {
    script.onload = resolve
    script.onerror = reject
  })
}
